## watcher 1.7.0

=== debian/changelog ===
watcher (1:1.7.0-0ubuntu1) bionic; urgency=medium

  [ James Page ]
  * d/watcher-common.install: Drop install of policy.json.

  [ Corey Bryant ]
  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Jan 2018 09:55:43 -0500

watcher (1:1.6.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Drop dh-systemd. Not needed with debhelper 10.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Dec 2017 16:13:53 -0500

watcher (1:1.5.0-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Nov 2017 13:56:03 -0500
