=== debian/control ===
Source: watcher
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 53~),
 po-debconf,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-apscheduler (>= 3.0.5),
 python-ceilometerclient (>= 2.5.0),
 python-cinderclient (>= 1:3.3.0),
 python-coverage (>= 4.0),
 python-croniter (>= 0.3.4),
 python-enum34 (>= 1.0.4),
 python-freezegun (>= 0.3.6),
 python-glanceclient (>= 1:2.8.0),
 python-gnocchiclient (>= 3.3.1),
 python-hacking (>= 0.12.0),
 python-ironicclient (>= 1.14.0),
 python-jsonpatch (>= 1.16),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-lxml (>= 3.4.1),
 python-mock (>= 2.0.0),
 python-monascaclient (>= 1.7.0),
 python-networkx (>= 1.10),
 python-neutronclient (>= 1:6.3.0),
 python-novaclient (>= 2:9.1.0),
 python-openstackclient (>= 3.12.0),
 python-openstackdocstheme (>= 1.18.1),
 python-os-testr (>= 1.0.0),
 python-oslo.cache (>= 1.26.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslo.versionedobjects (>= 1.28.0),
 python-oslotest (>= 1:3.2.0),
 python-pastedeploy (>= 1.5.0),
 python-pecan (>= 1.0.0),
 python-prettytable (>= 0.7.1),
 python-six (>= 1.10.0),
 python-sphinxcontrib-pecanwsme (>= 0.8.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-taskflow (>= 2.16.0),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-voluptuous (>= 0.8.9),
 python-webob (>= 1:1.7.1),
 python-wsme (>= 0.8.0),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/watcher
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/watcher
Homepage: https://github.com/openstack/watcher

Package: python-watcher
Section: python
Architecture: all
Depends:
 python-apscheduler (>= 3.0.5),
 python-ceilometerclient (>= 2.5.0),
 python-cinderclient (>= 1:3.3.0),
 python-croniter (>= 0.3.4),
 python-enum34 (>= 1.0.4),
 python-glanceclient (>= 1:2.8.0),
 python-gnocchiclient (>= 3.3.1),
 python-ironicclient (>= 1.14.0),
 python-jsonpatch (>= 1.16),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-lxml (>= 3.4.1),
 python-monascaclient (>= 1.7.0),
 python-networkx (>= 1.10),
 python-neutronclient (>= 1:6.3.0),
 python-novaclient (>= 2:9.1.0),
 python-openstackclient (>= 3.12.0),
 python-oslo.cache (>= 1.26.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslo.versionedobjects (>= 1.28.0),
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 2.0.0),
 python-pecan (>= 1.0.0),
 python-prettytable (>= 0.7.1),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-taskflow (>= 2.16.0),
 python-voluptuous (>= 0.8.9),
 python-webob (>= 1:1.7.1),
 python-wsme (>= 0.8.0),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Cloud Optimization as a Service - Python 2.7 libraries
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Python 2.7 libraries that are part of Watcher.

Package: watcher-api
Architecture: all
Depends:
 adduser,
 debconf,
 net-tools,
 python-keystoneclient (>= 1:3.8.0),
 python-openstackclient (>= 3.12.0),
 q-text-as-data,
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: OpenStack Cloud Optimization as a Service - API server
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher API server.

Package: watcher-applier
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: OpenStack Cloud Optimization as a Service - Applier
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher Applier.

Package: watcher-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python-watcher (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Cloud Optimization as a Service - common files
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Watcher.

Package: watcher-decision-engine
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: OpenStack Cloud Optimization as a Service - Decision Engine
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher decision engine.

Package: watcher-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Cloud Optimization as a Service - doc
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the documentation.
