=== debian/changelog ===
watcher (1:1.8.0-5ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/rules: Add Python 2.7 support and python-watcher package.
    - d/control: Support Python 2.7 first and Python 3.x as alternative.
      watcher-common depends on python-watcher by default and python3-watcher
      as alternative.
    - d/control: move all other python run-time dependencies to
      python(3)-watcher packages.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/rules: Add Python 2.7 support.
    - d/python(3)-watcher.post*, d/python(3)-watcher.prerm: update-alternatives
      is used to enable correct shebangs for Python binaries.
    - d/tests/*: Add Python 2/3 autopkgtests for watcher daemons and shebangs.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/gbp.conf: Retain for gbp and pristine-tar config.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 15 Jun 2018 16:19:55 -0400

watcher (1.8.0-5) unstable; urgency=medium

  * Also package watcher/api/app.wsgi.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 May 2018 13:34:40 +0200

watcher (1.8.0-4) unstable; urgency=medium

  * Use pkgos-dh_auto_{test,install} (Closes: #892783).
  * Fix sphinx import of the Directive module.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Apr 2018 08:59:55 +0200

watcher (1.8.0-3) unstable; urgency=medium

  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 18:02:52 +0000

watcher (1.8.0-2) unstable; urgency=medium

  * Switched to openstack-pkg-tools >= 70~ shared debconf templates.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Mar 2018 10:35:43 +0000

watcher (1.8.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switched to Python 3.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Feb 2018 23:35:48 +0100

watcher (1:1.8.0-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 08:49:32 -0500

watcher (1:1.7.0-0ubuntu2) bionic; urgency=medium

  * d/watcher-common.postinst, d/watcher-common.postrm:
    Fix package install failure. (LP: #1746792)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 01 Feb 2018 14:49:11 -0500

watcher (1.4.1-3) unstable; urgency=medium

  * Fixed encoding of pt.po (Closes: #881578).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jan 2018 11:50:09 +0100

watcher (1.4.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Remove /var/cache/watcher on purge (Closes: #852120).
  * Updated it.po (Closes: #860380).
  * Updated fr.po (Closes: #873686).
  * Updated pt.po (Closes: #876177).
  * (build-)depends on 2.9.0 version of ceilometerclient (Closes: #880091).
  * Removed dh-systemd build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 09:58:37 +0000

watcher (1.4.1-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * d/rules: remove OSLO_PACKAGE_VERSION set by openstack-pkg-tools.
  * Rebase MANIFEST.in patch, remove SQLA version patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Oct 2017 16:11:45 +0200

watcher (0.30.0-5) unstable; urgency=medium

  * Team upload.
  * Delete wrong net-tools dependency.
  * Bump build dependency on openstack-pkg-tools (Closes: #858713).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 12:39:26 +0200

watcher (0.30.0-4) unstable; urgency=medium

  * Team upload.
  * Create /var/cache/watcher with no error if existing. (Closes: #851260)

 -- Ondřej Kobližek <koblizeko@gmail.com>  Mon, 16 Jan 2017 13:20:05 +0100
