=== debian/control ===
Source: watcher
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 74~),
 po-debconf,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-apscheduler,
 python-ceilometerclient (>= 2.9.0),
 python-cinderclient (>= 1:3.3.0),
 python-coverage,
 python-croniter,
 python-freezegun,
 python-glanceclient (>= 1:2.8.0),
 python-gnocchiclient (>= 3.3.1),
 python-hacking,
 python-ironicclient (>= 2.2.0),
 python-jsonpatch (>= 1.19+really1.16),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-lxml,
 python-mock,
 python-monascaclient (>= 1.7.0),
 python-networkx,
 python-neutronclient (>= 1:6.3.0),
 python-novaclient (>= 2:9.1.0),
 python-openstackclient (>= 3.12.0),
 python-openstackdocstheme (>= 1.18.1),
 python-os-testr (>= 1.0.0),
 python-oslo.cache (>= 1.26.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslo.versionedobjects (>= 1.31.2),
 python-oslotest (>= 1:3.2.0),
 python-pastedeploy,
 python-pecan,
 python-prettytable,
 python-six,
 python-sphinxcontrib-pecanwsme,
 python-sqlalchemy,
 python-stestr,
 python-stevedore (>= 1.20.0),
 python-taskflow (>= 2.16.0),
 python-testscenarios,
 python-testtools (>= 2.2.0),
 python-voluptuous,
 python-webob (>= 1.7.1),
 python-wsme,
 python3-apscheduler,
 python3-ceilometerclient (>= 2.9.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage,
 python3-croniter,
 python3-freezegun,
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-hacking,
 python3-ironicclient (>= 2.2.0),
 python3-jsonpatch (>= 1.19+really1.16),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml,
 python3-mock,
 python3-monascaclient (>= 1.7.0),
 python3-networkx,
 python3-neutronclient (>= 1:6.3.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-testr (>= 1.0.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.2.0),
 python3-pastedeploy,
 python3-pecan,
 python3-prettytable,
 python3-six,
 python3-sphinxcontrib-pecanwsme,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore (>= 1.20.0),
 python3-taskflow (>= 2.16.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-voluptuous,
 python3-webob (>= 1.7.1),
 python3-wsme,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/watcher
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/watcher
Homepage: https://github.com/openstack/watcher
Testsuite: autopkgtest-pkg-python

Package: python-watcher
Section: python
Architecture: all
Depends:
 python-apscheduler,
 python-ceilometerclient (>= 2.9.0),
 python-cinderclient (>= 1:3.3.0),
 python-croniter,
 python-glanceclient (>= 1:2.8.0),
 python-gnocchiclient (>= 3.3.1),
 python-ironicclient (>= 2.2.0),
 python-jsonpatch (>= 1.19+really1.16),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-lxml,
 python-monascaclient (>= 1.7.0),
 python-networkx,
 python-neutronclient (>= 1:6.3.0),
 python-novaclient (>= 2:9.1.0),
 python-openstackclient (>= 3.12.0),
 python-oslo.cache (>= 1.26.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslo.versionedobjects (>= 1.31.2),
 python-pastedeploy,
 python-pbr (>= 2.0.0),
 python-pecan,
 python-prettytable,
 python-six,
 python-sqlalchemy,
 python-stevedore (>= 1.20.0),
 python-taskflow (>= 2.16.0),
 python-voluptuous,
 python-webob (>= 1.7.1),
 python-wsme (>= 0.8),
 ${misc:Depends},
 ${python:Depends},
Conflicts:
 python3-watcher,
Description: OpenStack Cloud Optimization as a Service - Python 2.7 libraries
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Python 2.7 libraries that are part of Watcher.

Package: python3-watcher
Section: python
Architecture: all
Depends:
 python3-apscheduler,
 python3-ceilometerclient (>= 2.9.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-croniter,
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-ironicclient (>= 2.2.0),
 python3-jsonpatch (>= 1.19+really1.16),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml,
 python3-monascaclient (>= 1.7.0),
 python3-networkx,
 python3-neutronclient (>= 1:6.3.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackclient (>= 3.12.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-pastedeploy,
 python3-pbr (>= 2.0.0),
 python3-pecan,
 python3-prettytable,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore (>= 1.20.0),
 python3-taskflow (>= 2.16.0),
 python3-voluptuous,
 python3-webob (>= 1.7.1),
 python3-wsme (>= 0.8),
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-watcher,
Description: OpenStack Cloud Optimization as a Service - Python 3.x libraries
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Python 3.x libraries that are part of Watcher.

Package: watcher-api
Architecture: all
Depends:
 adduser,
 debconf,
 net-tools,
 q-text-as-data,
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Cloud Optimization as a Service - API server
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher API server.

Package: watcher-applier
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Cloud Optimization as a Service - Applier
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher Applier.

Package: watcher-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python-watcher (= ${binary:Version}) | python3-watcher (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
Description: OpenStack Cloud Optimization as a Service - common files
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Watcher.

Package: watcher-decision-engine
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Cloud Optimization as a Service - Decision Engine
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher decision engine.

Package: watcher-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Cloud Optimization as a Service - doc
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
