=== debian/tests/control ===
Tests: watcher-daemons, watcher-shebangs-py2
Depends: watcher-api, watcher-applier, watcher-decision-engine
Restrictions: needs-root

Tests: watcher-daemons, watcher-shebangs-py3
Depends: python3-watcher, watcher-api, watcher-applier, watcher-decision-engine
Restrictions: needs-root
