=== debian/changelog ===
watcher (1.12.0-3) unstable; urgency=medium

  * Add export TZ=UTC in debian/rules (Closes: #918712).

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Apr 2019 00:00:53 +0200

watcher (1.12.0-2) unstable; urgency=medium

  * Run unit tests by type, to avoid hangs durring build (Closes: #918648).

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Jan 2019 08:51:30 +0100

watcher (1.12.0-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * Fixed startup script description.
  * New upstream release:
    - Fix FTBFS (Closes: #906552).
  * Fixed (build-)depends for this release. Freezegun upstream b-requirement
    downgraded to 0.3.9.
  * Removed fix-import-sphinx-Directive.patch applied upstream.
  * Add switch-to-GreenThreadPoolExecutor.patch.
  * Do not run applier tests which are failing.

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Running wrap-and-sort -bast

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Jun 2018 13:59:53 +0200
