=== debian/control ===
Source: watcher
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 74~),
 po-debconf,
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-apscheduler (>= 3.5.1),
 python3-ceilometerclient (>= 2.9.0),
 python3-cinderclient (>= 1:3.5.0),
 python3-coverage (>= 4.5.1),
 python3-croniter (>= 0.3.20),
 python3-freezegun (>= 0.3.10),
 python3-futurist (>= 1.6.0),
 python3-glanceclient (>= 1:2.9.1),
 python3-gnocchiclient (>= 7.0.1),
 python3-hacking,
 python3-ironicclient (>= 2.3.0),
 python3-jsonpatch (>= 1.21),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-keystonemiddleware (>= 4.21.0),
 python3-lxml (>= 4.1.1),
 python3-mock,
 python3-monascaclient (>= 1.12.0),
 python3-networkx (>= 1.11),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:10.1.0),
 python3-openstackclient (>= 3.14.0),
 python3-openstackdocstheme (>= 1.20.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.cache (>= 1.29.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 2.20.0),
 python3-oslo.db (>= 4.35.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 3.37.0),
 python3-oslo.messaging (>= 5.36.0),
 python3-oslo.policy (>= 1.34.0),
 python3-oslo.reports (>= 1.27.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.30.0),
 python3-oslo.utils (>= 3.36.0),
 python3-oslo.versionedobjects (>= 1.32.0),
 python3-oslotest (>= 1:3.3.0),
 python3-pastedeploy,
 python3-pecan (>= 1.3.2),
 python3-prettytable,
 python3-six (>= 1.11.0),
 python3-sphinxcontrib-pecanwsme,
 python3-sqlalchemy (>= 1.2.5),
 python3-stestr,
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1.28.0),
 python3-taskflow (>= 3.1.0),
 python3-testscenarios (>= 0.5.0),
 python3-testtools (>= 2.3.0),
 python3-webob (>= 1.8.2),
 python3-wsme (>= 0.9.2),
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/watcher
Vcs-Git: https://salsa.debian.org/openstack-team/services/watcher.git
Homepage: https://github.com/openstack/watcher

Package: python3-watcher
Section: python
Architecture: all
Depends:
 python3-apscheduler (>= 3.5.1),
 python3-ceilometerclient (>= 2.9.0),
 python3-cinderclient (>= 1:3.5.0),
 python3-croniter (>= 0.3.20),
 python3-futurist (>= 1.6.0),
 python3-glanceclient (>= 1:2.9.1),
 python3-gnocchiclient (>= 7.0.1),
 python3-ironicclient (>= 2.3.0),
 python3-jsonpatch (>= 1.21),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-keystonemiddleware (>= 4.21.0),
 python3-lxml (>= 4.1.1),
 python3-monascaclient (>= 1.12.0),
 python3-networkx (>= 1.11),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:10.1.0),
 python3-openstackclient (>= 3.14.0),
 python3-oslo.cache (>= 1.29.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 2.20.0),
 python3-oslo.db (>= 4.35.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 3.37.0),
 python3-oslo.messaging (>= 5.36.0),
 python3-oslo.policy (>= 1.34.0),
 python3-oslo.reports (>= 1.27.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.30.0),
 python3-oslo.utils (>= 3.36.0),
 python3-oslo.versionedobjects (>= 1.32.0),
 python3-pastedeploy,
 python3-pbr (>= 3.1.1),
 python3-pecan (>= 1.3.2),
 python3-prettytable,
 python3-six (>= 1.11.0),
 python3-sqlalchemy (>= 1.2.5),
 python3-stevedore (>= 1.28.0),
 python3-taskflow (>= 3.1.0),
 python3-webob (>= 1.8.2),
 python3-wsme (>= 0.9.2),
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-watcher,
Description: OpenStack Cloud Optimization as a Service - Python 2.7 libraries
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Python 2.7 libraries that are part of Watcher.

Package: watcher-api
Architecture: all
Depends:
 adduser,
 debconf,
 python3-keystoneclient,
 python3-openstackclient,
 q-text-as-data,
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - API server
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher API server.

Package: watcher-applier
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - Applier
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher Applier.

Package: watcher-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-watcher (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - common files
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Watcher.

Package: watcher-decision-engine
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - Decision Engine
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher decision engine.

Package: watcher-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Cloud Optimization as a Service - doc
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the documentation.
