=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,10 @@
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
+export TZ=UTC
+
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3,systemd,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python3,systemd,sphinxdoc
 
 override_dh_clean:
 	dh_clean
@@ -21,20 +23,27 @@
 	pkgos-merge-templates watcher-common watcher db rabbit ksat
 
 override_dh_auto_clean:
-	python2 setup.py clean
 	python3 setup.py clean
 
 override_dh_auto_install:
 	echo "Do nothing..."
 
 override_dh_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test 'watcher\.tests\.(?!.*api\.test_hooks\.TestContextHook\.test_context_hook_before_method.*)'
+	pkgos-dh_auto_test --no-py2 'watcher\.tests\.api\.(?!(.*test_hooks\.TestContextHook\.test_context_hook_before_method.*))'
+	#pkgos-dh_auto_test --no-py2 'watcher\.tests\.applier.*'
+	pkgos-dh_auto_test --no-py2 'watcher\.tests\.cmd.*'
+	pkgos-dh_auto_test --no-py2 'watcher\.tests\.common.*'
+	pkgos-dh_auto_test --no-py2 'watcher\.tests\.conf.*'
+	pkgos-dh_auto_test --no-py2 'watcher\.tests\.datasource.*'
+	pkgos-dh_auto_test --no-py2 'watcher\.tests\.db.*'
+	pkgos-dh_auto_test --no-py2 'watcher\.tests\.decision_engine.*'
+	pkgos-dh_auto_test --no-py2 'watcher\.tests\.notifications.*'
+	pkgos-dh_auto_test --no-py2 'watcher\.tests\.objects.*'
 endif
 
-	rm -rf $(CURDIR)/debian/python-watcher/usr/etc
 	rm -rf $(CURDIR)/debian/python3-watcher/usr/etc
 	mkdir -p $(CURDIR)/debian/watcher-common/usr/share/watcher-common
 	PYTHONPATH=$(CURDIR)/debian/python3-watcher/usr/lib/python3/dist-packages python3-oslo-config-generator \
@@ -64,6 +73,9 @@
 	dh_install
 	dh_missing --fail-missing
 
+	mkdir -p $(CURDIR)/debian/watcher-api/usr/bin
+	cp watcher/api/app.wsgi $(CURDIR)/debian/watcher-api/usr/bin/watcher-wsgi-api
+
 	# Disable https in default setup, as this makes our CI fail
 	pkgos-fix-config-default $(CURDIR)/debian/watcher-common/usr/share/watcher-common/watcher.conf keystone_authtoken auth_protocol http
